Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_Dynamic_Adapter_Impl Class Reference

`#include <Dynamic_Adapter_Impl.h>`

Inheritance diagram for TAO_Dynamic_Adapter_Impl

[legend]
Collaboration diagram for TAO_Dynamic_Adapter_Impl:

[legend]
List of all members.

## Public Methods
| TAO_Dynamic_Adapter_Impl (void)
virtual | ~TAO_Dynamic_Adapter_Impl (void)
virtual void | create_request (CORBA::Object_ptr obj, CORBA::ORB_ptr orb, const char *operation, CORBA::NVList_ptr arg_list, CORBA::NamedValue_ptr result, CORBA::ExceptionList_ptr exceptions, CORBA::Request_ptr &request, CORBA::Flags req_flags, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual CORBA::Request_ptr | request (CORBA::Object_ptr obj, CORBA::ORB_ptr orb, const char *op, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual CORBA::Boolean | context_is_nil (CORBA::Context_ptr ctx)
virtual CORBA::Boolean | request_is_nil (CORBA::Request_ptr req)
virtual CORBA::Boolean | server_request_is_nil (CORBA::ServerRequest_ptr req)
virtual void | context_release (CORBA::Context_ptr ctx)
virtual void | request_release (CORBA::Request_ptr req)
virtual void | server_request_release (CORBA::ServerRequest_ptr req)
virtual void | create_exception_list (CORBA::ExceptionList_ptr &list, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
## Static Public Methods
int | Initializer (void)

## Constructor & Destructor Documentation

TAO_Dynamic_Adapter_Impl::TAO_Dynamic_Adapter_Impl ( | void )

TAO_Dynamic_Adapter_Impl::~TAO_Dynamic_Adapter_Impl ( | void )`[virtual]`

## Member Function Documentation

int TAO_Dynamic_Adapter_Impl::Initializer ( | void )`[static]`

CORBA::Boolean TAO_Dynamic_Adapter_Impl::context_is_nil ( | CORBA::Context_ptr ctx )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

void TAO_Dynamic_Adapter_Impl::context_release ( | CORBA::Context_ptr ctx )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

void TAO_Dynamic_Adapter_Impl::create_exception_list ( | CORBA::ExceptionList_ptr & list,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

void TAO_Dynamic_Adapter_Impl::create_request ( | CORBA::Object_ptr obj,
| CORBA::ORB_ptr orb,
| const char * operation,
| CORBA::NVList_ptr arg_list,
| CORBA::NamedValue_ptr result,
| CORBA::ExceptionList_ptr exceptions,
| CORBA::Request_ptr & request,
| CORBA::Flags req_flags,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

CORBA::Request_ptr TAO_Dynamic_Adapter_Impl::request ( | CORBA::Object_ptr obj,
| CORBA::ORB_ptr orb,
| const char * operation,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

CORBA::Boolean TAO_Dynamic_Adapter_Impl::request_is_nil ( | CORBA::Request_ptr req )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

void TAO_Dynamic_Adapter_Impl::request_release ( | CORBA::Request_ptr req )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

CORBA::Boolean TAO_Dynamic_Adapter_Impl::server_request_is_nil ( | CORBA::ServerRequest_ptr req )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

void TAO_Dynamic_Adapter_Impl::server_request_release ( | CORBA::ServerRequest_ptr req )`[virtual]`

| Reimplemented from TAO_Dynamic_Adapter.

The documentation for this class was generated from the following files:

- Dynamic_Adapter_Impl.h
- Dynamic_Adapter_Impl.cpp